%define version 1.147

%define psconfdir %{_sysconfdir}/procmail

Summary: Utility to scan incomming e-mail for viruses and trojans.
Name: procmail-security
Version: %{version}
Release: 1
Copyright: GPL
Group: System Environment/Daemons
BuildArchitectures: noarch
Url: http://www.impsec.org/email-tools/procmail-security.html
Vendor: John D. Hardin <jhardin@impsec.org>

Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Requires: perl, mktemp, metamail

%description
Sanitizing rules for sendmail/procmail to filter "bad" content (viruses,
trojans, ...) from e-mails.

%prep
%setup

#%build
#make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{psconfdir}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/html-trap.procmail $RPM_BUILD_ROOT%{psconfdir}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/html-trap.procmail.nomacroscan $RPM_BUILD_ROOT%{psconfdir}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/poisoned-files $RPM_BUILD_ROOT%{psconfdir}/poisoned
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/poisoned-files-zip $RPM_BUILD_ROOT%{psconfdir}/poisoned-zip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{psconfdir}/html-trap.procmail
%{psconfdir}/html-trap.procmail.nomacroscan
%config(noreplace) %{psconfdir}/poisoned
%config(noreplace) %{psconfdir}/poisoned-zip
%doc procmail-on-gateway.txt
%doc procmail-security.html sanitizer-*.html
%doc procmailrc.example security-optout.procmail

%changelog
* Tue Oct  5 2004 Peter Hanecak <hanecak@megaloman.sk> 1.147-1
- update to 1.147

* Wed Sep 22 2004 Peter Hanecak <hanecak@megaloman.sk> 1.145-1
- update to 1.145

* Fri Jul 30 2004 Peter Hanecak <hanecak@megaloman.sk> 1.144-1
- update to 1.144

* Fri Mar 19 2004 Peter Hanecak <hanecak@megaloman.sk> 1.142-1
- update to 1.142
- %%{psconfdir}/poisoned-zip added

* Tue Mar  2 2004 Peter Hanecak <hanecak@megaloman.sk> 1.141-1
- update to 1.141

* Fri Feb 13 2004 Peter Hanecak <hanecak@megaloman.sk> 1.140-1
- update to 1.140

* Mon Sep  8 2003 Peter Hanecak <hanecak@megaloman.sk> 1.139-1
- update to 1.139

* Mon Jan 27 2003 Peter Hanecak <hanecak@megaloman.sk> 1.138-1
- update to 1.138

* Thu Jan  9 2003 Peter Hanecak <hanecak@megaloman.sk> 1.137-1
- update to 1.137
- html-trap.procmail.nomacroscan included in package
- changed group from "Networking/Utilities" to "System Environment/Daemons"

* Wed Oct 23 2002 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.136
- updated John's e-mail address
- .bz2 source archiv

* Wed Jun  5 2002 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.135

* Mon Apr 22 2002 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.134

* Thu Jan 17 2002 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.133
- merged stuff from John's 'poisoned-files'
- dropped html-trap.procmail-1.130-SECURITY_TRUST_HTML.patch - merged into
  release 1.130
- updated documentation

* Fri Sep 28 2001 Peter Hanecak <hanecak@megaloman.sk>
- patch to fix nonfunctional SECURITY_TRUST_HTML

* Mon Sep 10 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.130
- updated poisoned list

* Tue Apr 17 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.129

* Mon Mar 26 2001 Peter Hanecak <hanecak@megaloman.sk>
- applied patch from Karl Dunn <Karl.Dunn@vmic.com>

* Tue Mar  6 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.128

* Tue Feb  6 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.127

* Mon Jan 22 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.126

* Mon Dec  4 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.124

* Tue Nov 21 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.123
- updated '%{psconfdir}/poisoned' file

* Wed Sep 27 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.119

* Wed Sep 20 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.118
- updated URL

* Wed Aug  9 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.117
- updated procmail-security.html

* Sat Aug  5 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.116

* Thu Jul 27 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.115
- spec slightly changed

* Mon Jul 24 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.113

* Thu Jun  1 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.112

* Sun May 21 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.111

* Thu May 11 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.104

* Thu May  4 2000 Peter Hanecak <hanecak@megaloman.sk>
- initial spec
